Bug 198680 - can't tell if semodule works due to AVCs
can't tell if semodule works due to AVCs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 14:50 EDT by Bill Nottingham
Modified: 2014-03-16 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-07-12 14:50:10 EDT
kernel-PAE-2.6.17-1.2380.fc6
selinux-policy-targeted-2.3.2-1

semodule -l yields:

audit(1152734400.183:18): avc:  denied  { use } for  pid=1966 comm="semodule"
name="tty1" dev=tmpfs ino=1122 scontext=root:system_r:semanage_t:s0-s0:c0.c255
tcontext=system_u:system_r:local_login_t:s0-s0:c0.c255 tclass=fd
audit(1152734400.183:19): avc:  denied  { use } for  pid=1966 comm="semodule"
name="tty1" dev=tmpfs ino=1122 scontext=root:system_r:semanage_t:s0-s0:c0.c255
tcontext=system_u:system_r:local_login_t:s0-s0:c0.c255 tclass=fd
audit(1152734400.183:20): avc:  denied  { use } for  pid=1966 comm="semodule"
name="tty1" dev=tmpfs ino=1122 scontext=root:system_r:semanage_t:s0-s0:c0.c255
tcontext=system_u:system_r:local_login_t:s0-s0:c0.c255 tclass=fd
Comment 1 Daniel Walsh 2006-09-18 13:56:15 EDT
Fixed in selinux-policy-2.3.14-3
Comment 2 Daniel Walsh 2007-08-22 10:14:21 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.